From a491755ebcce62b9f9716868a031c6d552a8e352 Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Fri, 25 Apr 2014 08:58:16 +0900
Subject: [PATCH 1/2] Add AddDir calls for contrib/

---
 src/tools/msvc/Mkvcbuild.pm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index 8002f23..0377772 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -658,6 +658,7 @@ sub AddContrib
 			$proj->AddFile('contrib\\' . $n . '\\' . $o);
 		}
 		$proj->AddReference($postgres);
+		$proj->AddDir('contrib\\' . $n);
 		if ($mf =~ /^SUBDIRS\s*:?=\s*(.*)$/mg)
 		{
 			foreach my $d (split /\s+/, $1)
@@ -685,6 +686,7 @@ sub AddContrib
 		{
 			my $proj = $solution->AddProject($mod, 'dll', 'contrib');
 			$proj->AddFile('contrib\\' . $n . '\\' . $mod . '.c');
+			$proj->AddDir('contrib\\' . $n);
 			$proj->AddReference($postgres);
 			AdjustContribProj($proj);
 		}
@@ -702,6 +704,7 @@ sub AddContrib
 			$o =~ s/\.o$/.c/;
 			$proj->AddFile('contrib\\' . $n . '\\' . $o);
 		}
+		$proj->AddDir('contrib\\' . $n);
 		AdjustContribProj($proj);
 	}
 	else
-- 
2.0.0

